@import './vars.less';

textarea,
input[type="text"],
input[type="email"] {
    height: 71px;
    box-sizing: border-box;
    border: 1px solid rgb(204, 204, 204);
    border-radius: 5px;
    font: inherit;
    padding: 0 1.25rem;
    &:focus {
        outline: 0;
    }
}

textarea {
    padding: 1.25rem;
    height: 223px;
}

button {
    cursor: pointer;
    transition: background-color .125s linear .1s;
    &[disabled] {
        background-color: darkgray;
        color: whitesmoke;
        box-shadow: none;
        pointer-events: none;
    }
}

.button {
    display: inline-block;
    min-width: 260px;
    height: 60px;
    border-radius: 30px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.3);
    background: @color-darkblue none no-repeat 0 0;
    color: white;
    text-align: center;
    line-height: 54px;
    text-decoration: none;
    cursor: pointer;
    &:link,
    &:visited {color: white}
    &:hover,
    &:active {
        background-color: darken(@color-darkblue, 10%);
    }
}

.button2 {
    font: inherit;
    color: white;
    background-color: @color-darkblue;
    height: 63px;
    text-transform: uppercase;
    padding: .125em 1.5rem 0;
    min-width: 270px;
    border: 0;
    border-radius: 24px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, .24);
}